/**
   @version 1.20 2004-08-15
   @author Cay Horstmann
*/

import java.rmi.*;
import java.rmi.server.*;
import javax.naming.*;

/**
   Program serwera tworzy dwa zdalne obiekty, 
   rejestruje je i oczekuje na wywołania ich metod przez klientów.
*/
public class ProductServer
{  
   public static void main(String args[])
   {  
      try
      {  
         System.out.println("Tworzy implementacje serwera...");

         ProductImpl p1 = new ProductImpl("Blackwell Toaster");
         ProductImpl p2 = new ProductImpl("ZapXpress Microwave Oven");

         System.out.println("Rejestruje utworzone implementacje...");
         Context namingContext = new InitialContext();
         namingContext.bind("rmi:toaster", p1);
         namingContext.bind("rmi:microwave", p2);         
         System.out.println("Oczekuje zdalnych wywolan od klientow...");
      }
      catch (Exception e)
      {  
         e.printStackTrace();
      }
   }
}

